source 'https://rubygems.org'

gem 'rails', '7.2.1'
gem 'pg', '~> 1.5.8'

gem 'shakapacker', '8.0.2'
gem 'bootsnap', '>= 1.1.0', require: false

gem 'oj', '~> 3.16.6'
gem 'csv', '~> 3.3'

gem 'kaminari', '~> 1.2.2'
gem 'unitwise', '~> 2.3.0'
gem 'redcarpet', '~> 3.6.0'

gem 'dalli', '~> 3.2.8'
gem 'puma', '~> 6.4'
gem 'bcrypt', '~> 3.1.18'
gem 'tzinfo-data'

group :development, :test do
  gem 'sqlite3', '~> 2.1.0'

  gem 'guard', '~> 2.18.0'
  gem 'guard-rspec', require: false
  gem 'rspec-rails', '~> 7.0.1'
  gem 'rails-controller-testing'
  gem 'factory_bot_rails', '~> 6.4.3'
  gem 'database_cleaner', '~> 2.0.2'
end
